//----------------------------------------------------------------------------
//  Header: CErrorMonitor.h, v 1.0                            2009/07/30    //
//                                                                          //
//  Goofie TPC ALICE Program Library                                        //
//  Copyright (C) ALICE collaboration, 2009                                 //
//                                                                          //
//  Last modified in CVS                                                    //
//  Author: D. Antonczyk                                                    //
//----------------------------------------------------------------------------

#ifndef CERRORMONITOR
#define CERRORMONITOR

#include <string>
#include <dbus/dbus.h>

// error/warning coding rules
// 9100 for error-minitoring XXXX error code i.e. -91001001, - for errors, + for warnings

class CErrorMonitor
{
 public:
  CErrorMonitor();
  ~CErrorMonitor();
  
  bool Initialization();
  void SendRunningStateConfirmation() throw int;

 private:
  DBusConnection      *fBusConnection;
  DBusMessage         *fBusMessage;
  DBusError            fBusError;
  
  std::string          fInterfaceName;         // dbus interfave name
  std::string          fPathName;              // 

  // message objects  
  std::string          fsPackNumber;           // how many packs
};
#endif
